class Garen::Static < Garen::Base
  def initialize(conn)
    @conn = conn
  end

  def champions(options = {})
    make_request(@conn, 'lol/static-data/v3/champions', options)
  end

  def champions_by_id(champion_id, options = {})
    make_request(@conn, "lol/static-data/v3/champions/#{champion_id}", options)
  end

  def items(options = {})
    make_request(@conn, 'lol/static-data/v3/items', options)
  end

  def items_by_id(item_id, options = {})
    make_request(@conn, "lol/static-data/v3/items/#{item_id}", options)
  end

  def languages(options = {})
    make_request(@conn, 'lol/static-data/v3/languages', options)
  end

  def language_strings(options = {})
    make_request(@conn, 'lol/static-data/v3/language-strings', options)
  end

  def maps(options = {})
    make_request(@conn, 'lol/static-data/v3/maps', options)
  end

  def masteries(options = {})
    make_request(@conn, 'lol/static-data/v3/masteries', options)
  end

  def masteries_by_id(mastery_id, options = {})
    make_request(@conn, "lol/static-data/v3/masteries/#{mastery_id}", options)
  end

  def profile_icons(options = {})
    make_request(@conn, 'lol/static-data/v3/profile-icons', options)
  end

  def realms(options = {})
    make_request(@conn, 'lol/static-data/v3/realms', options)
  end

  def runes(options = {})
    make_request(@conn, 'lol/static-data/v3/runes', options)
  end

  def runes_by_id(rune_id, options = {})
    make_request(@conn, "lol/static-data/v3/runes/#{rune_id}", options)
  end

  def summoner_spells(options = {})
    make_request(@conn, 'lol/static-data/v3/summoner-spells', options)
  end

  def summoner_spells_by_id(summoner_spell_id, options = {})
    make_request(@conn, "lol/static-data/v3/summoner-spells/#{summoner_spell_id}", options)
  end

  def version(options = {})
    make_request(@conn, 'lol/static-data/v3/versions', options)
  end
end
