class Garen::Summoner < Garen::Base
  def initialize(conn)
    @conn = conn
  end

  def by_account_id(account_id, options = {})
    make_request(@conn, "lol/summoner/v3/summoners/by-account/#{account_id}", options)
  end

  def by_name(summoner_name, options = {})
    make_request(@conn, "lol/summoner/v3/summoners/by-name/#{URI.encode(summoner_name)}", options)
  end

  def by_summoner_id(summoner_id, options = {})
    make_request(@conn, "lol/summoner/v3/summoners/#{summoner_id}", options)
  end
end
