require 'garen/version'
require 'garen/configuration'
require 'garen/base'
require 'garen/client'

require 'garen/champion'
require 'garen/champion_mastery'
require 'garen/league'
require 'garen/match'
require 'garen/spectator'
require 'garen/static'
require 'garen/status'
require 'garen/summoner'

require 'json'
require 'faraday'
require 'faraday_middleware'
require 'active_support/all'

module Garen
  class << self
    attr_accessor :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.reset
    @configuration = Configuration.new
  end

  def self.configure
    yield(configuration)
  end
end
