class Garen::ChampionMastery < Garen::Base
  def initialize(conn)
    @conn = conn
  end

  def by_summoner_and_champion_id(summoner_id, champion_id, options = {})
    make_request(@conn, "lol/champion-mastery/v3/champion-masteries/by-summoner/#{summoner_id}/by-champion/#{champion_id}", options)
  end

  def by_summoner_id(summoner_id, options = {})
    make_request(@conn, "lol/champion-mastery/v3/champion-masteries/by-summoner/#{summoner_id}", options)
  end

  def score_by_summoner_id(summoner_id, options = {})
    make_request(@conn, "lol/champion-mastery/v3/scores/by-summoner/#{summoner_id}", options)
  end
end
