class Garen::League < Garen::Base
  def initialize(conn)
    @conn = conn
  end

  def by_summoner_id(summoner_id, options = {})
    make_request(@conn, "lol/league/v3/leagues/by-summoner/#{summoner_id}", options)
  end

  def challenger(queue = 'RANKED_SOLO_5x5', options = {})
    make_request(@conn, "lol/league/v3/challengerleagues/by-queue/#{queue}", options)
  end

  def master(queue = 'RANKED_SOLO_5x5', options = {})
    make_request(@conn, "lol/league/v3/masterleagues/by-queue/#{queue}", options)
  end

  def position_by_summoner_id(summoner_id, options = {})
    make_request(@conn, "lol/league/v3/positions/by-summoner/#{summoner_id}", options)
  end
end
