class Garen::Match < Garen::Base
  def initialize(conn)
    @conn = conn
  end

  def by_account_id(account_id, options = {})
    make_request(@conn, "lol/match/v3/matchlists/by-account/#{account_id}", options)
  end

  def by_match_id(match_id, options = {})
    make_request(@conn, "lol/match/v3/matches/#{match_id}", options)
  end

  def recent_by_account_id(account_id, options = {})
    make_request(@conn, "lol/match/v3/matchlists/by-account/#{account_id}/recent", options)
  end

  def timeline_by_match_id(match_id, options = {})
    make_request(@conn, "lol/match/v3/timelines/by-match/#{match_id}", options)
  end
end
